<?php
/**
 * Created by PhpStorm.
 * User: tuliomagalhaes
 * Date: 30/12/2015
 * Time: 08:39
 */

namespace Util\Events\Audit;

use \Zeedhi\DevOps\Util\Events\Audit\Environment as Audit;
use \Zeedhi\DevOps\Util\Events\Organization\Environment as Organization;
use Zeedhi\Framework\ORM\DateTime;
use Zeedhi\Framework\Session\Session;

class DevOpsEnvironment implements Audit, Organization
{

    /** @var Session */
    protected $session;

    public function __construct(Session $session)
    {
        $this->session = $session;
    }

    public function setCurrentUserId($userId)
    {
        $this->session->set("DevOpsUserId", $userId);
    }

    public function getCurrentUserId()
    {
        return $this->session->has("DevOpsUserId") ?$this->session->get("DevOpsUserId"): null;
    }

    public function getUserId()
    {
        return $this->getCurrentUserId();
    }

    public function setOrganizationId($organizationId)
    {
        $this->session->set("organizationId", $organizationId);
    }

    public function getOrganizationId()
    {
        return $this->session->has("organizationId")?$this->session->get("organizationId"): null;
    }

    public function getCurrentOrganizationId()
    {
        return $this->getOrganizationId();
    }

    public function getCurrentTime()
    {
        return new DateTime();
    }

    public function getProjectId()
    {
        return 5;
    }

    public function getProjectUniqueId()
    {
        return "DevOps_5";
    }

    public function getContainersJsonPath()
    {
        return "../../mobile/json/containers.json";
    }

    public function getJsonsDirectories()
    {
        return array("../../mobile/json/containers");
    }

    public function getToken()
    {
        return $this->session->get("token");
    }

    public function setToken($token)
    {
        $this->session->set("token", $token);
    }

    public function getRootDir()
    {
        return '../../../projectManagement';
    }
}